WampServer

Un article de Wikipédia, l'encyclopédie libre.
Aller à : navigation, rechercher
WampServer
Logo

Image illustrative de l'article WampServer

Développé par Romain Bourdon
Hervé Leclerc (2.0→2.5)
Otomatic (2.5→3.0.0)
Dernière version 3.1.0 ()[1]Voir et modifier les données sur Wikidata
Environnement Windows
Langues Multilingue
Type WAMPVoir et modifier les données sur Wikidata
Licence GPLv2[2]Voir et modifier les données sur Wikidata
Site web www.wampserver.com

WampServer (anciennement WAMP5) est une plateforme de développement Web de type WAMP, permettant de faire fonctionner localement (sans avoir à se connecter à un serveur externe) des scripts PHP. WampServer n'est pas en soi un logiciel, mais un environnement comprenant deux serveurs (Apache et MySQL), un interpréteur de script (PHP), ainsi que phpMyAdmin pour l'administration Web des bases MySQL.

Il dispose d'une interface d'administration permettant de gérer et d'administrer ses serveurs au travers d'un tray icon (icône près de l'horloge de Windows).

La grande nouveauté de WampServer 2 réside dans la possibilité d'y installer et d'utiliser n'importe quelle version de PHP, Apache ou MySQL en un clic. Ainsi, chaque développeur peut reproduire fidèlement son serveur de production sur sa machine locale.

Versions[modifier | modifier le code]

Wikitext.svg
La mise en forme de cette section ne suit pas les recommandations concernant la typographie, les liens internes, etc. (septembre 2017). Découvrez comment la « wikifier ».

Le est sortie la version 2.5. Cette version intègre Apache 2.4.9, MySQL 5.6.17, PHP 5.5.12, PhpMyadmin 4.1.14, SQLBuddy 1.3.3, XDebug 2.2.5.

À ce jour, hormis les add-ons Apache, MySQL et PHP permettant de changer les versions de ces outils, aucun autre add-on n'est disponible (Perl, Webalizer, ZEND Optimizer ou autre).

 : Wampserver 3 32bit : Apache 2.4.17, MySQL 5.7.9, PHP 5.6.15, PhpMyAdmin 4.5.1

Wampserver 3 64 bit : Apache 2.4.17, MySQL 5.7.9, PHP 5.6.16 et 7.0.0, PhpMyAdmin 4.5.2

Mise à jour Wampserver 3.0.6 - Installeurs complets 3.0.6

Wampserver 3.0.6 32 bit x86 et 64 bit x64 - Apache 2.4.23 - PHP 5.6.25/7.0.10 - MySQL 5.7.14

Inclus : PhpMyAdmin 4.6.4 - Adminer 4.2.5 - PhpSysInfo 3.2.5

 : Installeurs versions complètes 3.1.0 x86 (32 bit) et x64 (64 bit) comprenant

Apache 2.4.27 - PHP 5.6.31/7.0.23/7.1.9 - MySQL 5.7.19 - MariaDB 10.2.8

PhpMyAdmin 4.7.4 - Adminer 4.3.1 - PhpSysInfo 3.2.7

Update 3.1.0 pour les scripts et fonctionnalités des versions 3.0.0 à 3.0.9

Notes et références[modifier | modifier le code]

Annexes[modifier | modifier le code]

Articles connexes[modifier | modifier le code]

Liens externes[modifier | modifier le code]